Debian Bug report logs - #631983
python-stfio: doesn't depend on python

version graph

Package: python-stfio; Maintainer for python-stfio is Christoph Schmidt-Hieber <christsc@gmx.de>; Source for python-stfio is src:stimfit.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 28 Jun 2011 21:30:01 UTC

Severity: serious

Tags: patch

Found in version stimfit/0.10.13-1

Fixed in version stimfit/0.10.18-1.1

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Christoph Schmidt-Hieber <christsc@gmx.de>:
Bug#631983; Package python-stfio. (Tue, 28 Jun 2011 21:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Christoph Schmidt-Hieber <christsc@gmx.de>. (Tue, 28 Jun 2011 21:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-stfio: doesn't depend on python
Date: Tue, 28 Jun 2011 23:26:01 +0200
Package: python-stfio
Version: 0.10.13-1
Severity: serious
Justification: Policy 3.5

python-stfio contains Python extension modules, so it should have 
versioned dependency on python. (This is usually achieved by putting 
${python:Depends} in Depends and using a helper tool to generated these 
dependencies.)

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Schmidt-Hieber <christsc@gmx.de>:
Bug#631983; Package python-stfio. (Sun, 04 Mar 2012 15:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Schmidt-Hieber <christsc@gmx.de>. (Sun, 04 Mar 2012 15:45:14 GMT) Full text and rfc822 format available.

Message #10 received at 631983@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 631983@bugs.debian.org
Subject: stimfit: diff for NMU version 0.10.18-1.1
Date: Sun, 4 Mar 2012 15:43:44 +0000
[Message part 1 (text/plain, inline)]
tags 631983 + patch
tags 631983 + pending
thanks

Dear maintainer,

I've prepared an NMU for stimfit (versioned as 0.10.18-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[stimfit-0.10.18-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 15:45:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 15:45:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Schmidt-Hieber <christsc@gmx.de>:
Bug#631983; Package python-stfio. (Sun, 04 Mar 2012 17:09:07 GMT) Full text and rfc822 format available.

Message #17 received at 631983@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 631983@bugs.debian.org
Subject: Re: Bug#631983: stimfit: diff for NMU version 0.10.18-1.1
Date: Sun, 4 Mar 2012 18:06:37 +0100
* Jonathan Wiltshire <jmw@debian.org>, 2012-03-04, 15:43:
>+X-Python-Version: 2.7

Eww. Please don't do that.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Schmidt-Hieber <christsc@gmx.de>:
Bug#631983; Package python-stfio. (Sun, 04 Mar 2012 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@dartmouth.edu>:
Extra info received and forwarded to list. Copy sent to Christoph Schmidt-Hieber <christsc@gmx.de>. (Sun, 04 Mar 2012 22:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 631983@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@dartmouth.edu>
To: Jonathan Wiltshire <jmw@debian.org>
Cc: Christoph Schmidt-Hieber <christsc@gmx.de>, 631983@bugs.debian.org
Subject: Re: [jmw@debian.org: Bug#631983: stimfit: diff for NMU version 0.10.18-1.1]
Date: Sun, 4 Mar 2012 16:57:28 -0500
Hi Jonathan,

Thank you for helping out with stimfit.  Unfortunately your NMU changes
are not inline with our goal behind stimfit packaging:  we are trying to
maintain packaging seamlessly backportable into older debian and ubuntu
releases:

http://neuro.debian.net/pkgs/sigviewer.html

shows that by now it was happily building even on lucid which has no
dh_python2 ... ok -- we could patch (or just condition on
presence) for that specific release which will gone into the history
anyways.  But as Jakub pointed out

+X-Python-Version: 2.7

would be simply too rigid to be portable... and its use is to specify
supported minimal version/range, not a single specific version (unless
that is the only one supported) and indeed there is work required to
just build it for all supported versions

we will not remove your NMU but rather will try to ACK it with a refined
patch uploaded before the time/clock runs out ;)

Cheers

> ----- Forwarded message from Jonathan Wiltshire <jmw@debian.org> -----

> Date: Sun, 4 Mar 2012 15:43:44 +0000
> From: Jonathan Wiltshire <jmw@debian.org>
> To: 631983@bugs.debian.org
> Subject: Bug#631983: stimfit: diff for NMU version 0.10.18-1.1
> User-Agent: Mutt/1.5.21 (2010-09-15)

> tags 631983 + patch
> tags 631983 + pending
> thanks

> Dear maintainer,

> I've prepared an NMU for stimfit (versioned as 0.10.18-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

> Regards.
-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Tue, 06 Mar 2012 16:09:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Tue, 06 Mar 2012 16:09:11 GMT) Full text and rfc822 format available.

Message #27 received at 631983-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 631983-close@bugs.debian.org
Subject: Bug#631983: fixed in stimfit 0.10.18-1.1
Date: Tue, 06 Mar 2012 16:06:46 +0000
Source: stimfit
Source-Version: 0.10.18-1.1

We believe that the bug you reported is fixed in the latest version of
stimfit, which is due to be installed in the Debian FTP archive:

python-stfio_0.10.18-1.1_amd64.deb
  to main/s/stimfit/python-stfio_0.10.18-1.1_amd64.deb
stimfit-dbg_0.10.18-1.1_amd64.deb
  to main/s/stimfit/stimfit-dbg_0.10.18-1.1_amd64.deb
stimfit_0.10.18-1.1.debian.tar.gz
  to main/s/stimfit/stimfit_0.10.18-1.1.debian.tar.gz
stimfit_0.10.18-1.1.dsc
  to main/s/stimfit/stimfit_0.10.18-1.1.dsc
stimfit_0.10.18-1.1_amd64.deb
  to main/s/stimfit/stimfit_0.10.18-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated stimfit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Mar 2012 13:33:02 +0000
Source: stimfit
Binary: stimfit stimfit-dbg python-stfio
Architecture: source amd64
Version: 0.10.18-1.1
Distribution: unstable
Urgency: low
Maintainer: Christoph Schmidt-Hieber <christsc@gmx.de>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 python-stfio - A Python module to read common electrophysiology file formats.
 stimfit    - A program for viewing and analyzing electrophysiological data
 stimfit-dbg - Debug symbols for stimfit
Closes: 631983
Changes: 
 stimfit (0.10.18-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use dh_python2 to set proper dependencies for
     python-stfio. Note: this only happens for Python 2.7,
     building for all versions needs maintainer work and
     isn't suitable for NMU. Closes: #631983
Checksums-Sha1: 
 1258f2d9bb3088b145439a61f008fc834a70a85b 2041 stimfit_0.10.18-1.1.dsc
 cc11a09246fdb1afcb8ab8b7fa13a92f5b637e3f 5664 stimfit_0.10.18-1.1.debian.tar.gz
 29fdc6efda4cdcb9a309866f421a4b927069be63 751704 stimfit_0.10.18-1.1_amd64.deb
 fe50538b14dbdd3eddec4162e17f692f5f5fb37e 7327394 stimfit-dbg_0.10.18-1.1_amd64.deb
 7ae7741cef2c5ff2e87fd220639d7a9b8df8602d 232202 python-stfio_0.10.18-1.1_amd64.deb
Checksums-Sha256: 
 9eff0c4adbe08726bc44142f627d5d53a4b58c58ee5d627ffa6af90486cfb9f7 2041 stimfit_0.10.18-1.1.dsc
 0efbeeec04e43c7fad29331ce8b685cf9a84922ef57b3e4a11a8e6d0df4d6d10 5664 stimfit_0.10.18-1.1.debian.tar.gz
 31abc52c98c20e61e2629e33437f4e61ae152c67c7eb82c8d7e322ed022e2ade 751704 stimfit_0.10.18-1.1_amd64.deb
 cab924ba425d0cc80a26ab1588a943ca90a721d7c4d156d15ce40e6e2989390c 7327394 stimfit-dbg_0.10.18-1.1_amd64.deb
 02fe59d2d3634abbafb8bb6455634d4810ae2b6e4accae570790d9147c3cfa19 232202 python-stfio_0.10.18-1.1_amd64.deb
Files: 
 1c4efa1c5b6d03e6d027103c970fda7e 2041 science optional stimfit_0.10.18-1.1.dsc
 f881182aa429a1196fcc5a177862a353 5664 science optional stimfit_0.10.18-1.1.debian.tar.gz
 d50c6b69622318506d50b3c2cd138351 751704 science optional stimfit_0.10.18-1.1_amd64.deb
 4935b2ccad1180fa548d362f514203d4 7327394 debug extra stimfit-dbg_0.10.18-1.1_amd64.deb
 b486395044a1811a088fb8081aa3bf4e 232202 python optional python-stfio_0.10.18-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPU43eAAoJEFOUR53TUkxRQMsP/2esI5RODzcRjBJwtPSyaqdw
OU8AkfN+EhyNBODCU+l7s6rFCg1Q5JO8mjZRSVeZDHb5Rcl3j/RjpumnPqFYLFZl
t5T6wJpQz7A0zAyChNfzsIU5v/0MP5IXRjXo/DiqzGvQNFCTzQD0YYIkENvF7XkG
XOlGQnI5ohdWEghe+tUudCKAt/HIH1ZO6ijgXtFKqpFVACQjnuCn9TfngeTt+DQ8
RDDACP10O5E+CHolInqf6fH9H56Orce1o5oOqW6tE/e/uXMDvAfqThhFI8v3dhP2
8UNwSpj6d2naWdJs/KLDp6yGxMFIQyeN4iTjIHie2hwf1QKuIzZo8q5vxcrSdVOB
oYPgmb1DwFNTOl3w07G7DuQigbaHk/stDaU5fUojigzS2cBIUeJ+WPf+qNv+ysSs
JM1Sc8holFB8plrTIYX7NQci9u0fugkLdjPDuJWXuNXrBey3ngRgWrFyRR02lFJQ
X3OsjOf4P3fWe/NptyQOaPxucVgtXdQn2YykdlRuA8dQ25bbXaMm4n4v+Wnejz8g
4P6t47AMD53XnBvhl7o7Gj8u+F/OmQNpR1FxTjzoIHrLaOqFxaoG+cJGc8hRh6Xc
64tMqqkhCHYVVWspKb7inyOScN+ZRPJ3Umz4Cm5rb3B5ktCicIqVwG80ZfdWdIN6
OjBtx3SKY5qgfnl4SSUT
=c+4L
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 May 2012 07:48:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:10:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.